#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 clash-ghc
version:              1.4.7
visibility:           public
id:                   clash-ghc-1.4.7-qEDLAOw11O6x1I7iZhZ2h
key:                  clash-ghc-1.4.7-qEDLAOw11O6x1I7iZhZ2h
license:              BSD-2-Clause
copyright:
    Copyright © 2012-2016, University of Twente,
    2016-2017, Myrtle Software Ltd,
    2017-2019, QBayLogic B.V., Google Inc.

maintainer:           QBayLogic B.V. <devops@qbaylogic.com>
author:               The Clash Authors
homepage:             https://clash-lang.org/
synopsis:
    Clash: a functional hardware description language - GHC frontend

description:
    Clash is a functional hardware description language that borrows both its
    syntax and semantics from the functional programming language Haskell. The
    Clash compiler transforms these high-level descriptions to low-level
    synthesizable VHDL, Verilog, or SystemVerilog.

    Features of Clash:

    * Strongly typed, but with a very high degree of type inference, enabling both
    safe and fast prototyping using concise descriptions.

    * Interactive REPL: load your designs in an interpreter and easily test all
    your component without needing to setup a test bench.

    * Higher-order functions, with type inference, result in designs that are
    fully parametric by default.

    * Synchronous sequential circuit design based on streams of values, called
    @Signal@s, lead to natural descriptions of feedback loops.

    * Support for multiple clock domains, with type safe clock domain crossing.


    This package provides:

    * Clash Compiler binary using GHC/Haskell as a frontend


    Prelude library: <https://hackage.haskell.org/package/clash-prelude>

category:             Hardware
abi:                  69187e111d083f858289144d856dc2bc
exposed:              True
exposed-modules:
    Clash.GHC.Evaluator Clash.GHC.Evaluator.Primitive
    Clash.GHC.GenerateBindings Clash.GHC.LoadModules
    Clash.GHC.NetlistTypes Clash.GHC.PartialEval
    Clash.GHC.PartialEval.Eval Clash.GHC.PartialEval.Primitive
    Clash.GHC.PartialEval.Quote Clash.GHCi.Common Clash.Main

hidden-modules:
    Clash.GHCi.UI Clash.GHCi.UI.Info Clash.GHCi.UI.Monad
    Clash.GHCi.UI.Tags Clash.GHC.ClashFlags Clash.GHC.GHC2Core
    Clash.GHC.LoadInterfaceFiles Clash.GHC.Util Paths_clash_ghc
    Clash.GHCi.Leak Clash.GHCi.Util

import-dirs:          /usr/lib/ghc-9.0.2/site-local/clash-ghc-1.4.7
library-dirs:         /usr/lib/ghc-9.0.2/site-local/clash-ghc-1.4.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/clash-ghc-1.4.7
hs-libraries:         HSclash-ghc-1.4.7-qEDLAOw11O6x1I7iZhZ2h
depends:
    Cabal-3.4.1.0 array-0.5.4.0 base-4.15.1.0
    bifunctors-5.5.11-370TCRvBN1eJmltrB78RI0 bytestring-0.10.12.1
    clash-lib-1.4.7-HvLokgEGjHi451aYkANrT1
    clash-prelude-1.4.7-4rBogsBZ6sBDqoi5M2BDb8
    concurrent-supply-0.1.8-IeTdavsOEPPDZzgRB3okGt containers-0.6.4.1
    deepseq-1.4.5.0 directory-1.3.6.2 exceptions-0.10.4
    extra-1.7.10-1H2akLcBxLZHwFpL1jX6c5 filepath-1.4.2.1 ghc-9.0.2
    ghc-bignum-1.1 ghc-boot-9.0.2 ghc-prim-0.7.0
    ghc-typelits-extra-0.4.3-E2knbfleHzsKH7cpMOd0AB
    ghc-typelits-knownnat-0.7.6-AxhTbJL9uRpDQoupSMWW3n
    ghc-typelits-natnormalise-0.7.6-2MA35mvTW0Z4xhzuQHvxct ghci-9.0.2
    hashable-1.4.0.0-D9JHm37pmxhHVdVJaoyj8U haskeline-0.8.2
    lens-5.1-JTdTUL3YveqAiPsY8Zu69z mtl-2.2.2
    primitive-0.7.3.0-C1JGYsp8tBD3ArhgrPHK39 process-1.6.13.2
    reflection-2.1.6-APi0jrbn9h9H8qZmJzuqfV
    split-0.2.3.4-H5GTMTOhRMdH9TlpAAGOWr template-haskell-2.17.0.0
    text-1.2.5.0 time-1.9.3 transformers-0.5.6.2
    uniplate-1.6.13-FcLX0i3NhhzJzjfx4TSAEV unix-2.7.2.2
    unordered-containers-0.2.16.0-GOdhS5VVGhuDfpf9ntzlf6
    utf8-string-1.0.2-9eFA57BgKXNHtjvfuIOq9f
    vector-0.12.3.1-LmWX58b6mp7Hut6wPuFfXF

haddock-interfaces:   /usr/share/doc/clash-ghc/html/clash-ghc.haddock
haddock-html:         /usr/share/doc/clash-ghc/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

